%define upstream_name Module-Install-TestBase
%define upstream_version 0.86

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Module::Install Support for Test::Base
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Install::Base)

BuildArch:	noarch

%description
This module adds the "use_test_base" directive to Module::Install.

Now you can get full Test-Base support for you module with no external
dependency on Test::Base.

Just add this line to your Makefile.PL:

    use_test_base;

That's it. Really. Now Test::Base is bundled into your module, so that
it is no longer any burden on the person installing your module.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.860.0-7.mga8
+ Revision: 1495623
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.860.0-6.mga7
+ Revision: 1269416
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.860.0-5.mga6
+ Revision: 1030116
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.860.0-4.mga6
+ Revision: 933056
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.860.0-3.mga5
+ Revision: 739811
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.860.0-2.mga5
+ Revision: 685450
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 sander85 <sander85> 0.860.0-1.mga5
+ Revision: 665649
- imported package perl-Module-Install-TestBase

